Subject: AW: bug#63251: 28.2; vhdl-mode contribution

From: Cyril Arnould <[email-masked]>
Date: Tue, 9 May 2023 17:11:56 +0000

> subsequent changes will likely rely on existing values to conform strictly to the previous type and will likely botch any updating of values that don't.

I've thought about that, since compilation-error-regexp also
accepts HYPERLINK and HIGHLIGHT after TYPE. But if we were to
implement those in vhdl-mode, I'd say that nil should remain a
viable option for them as well, which is what they currently
default to.

If it does become a problem with future updates anyway, backward
compatibility code could still be implemented after the fact. I'd
prefer to leave it aside for now if it's not strictly necessary,
seen as it could bring more problems than it solves.